using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class RadGridFilterComboNullValues : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }
    bool filterWithNull = false;
    protected void RadGrid1_ItemCommand(object sender, GridCommandEventArgs e)
    {
        if (e.CommandName == RadGrid.FilterCommandName)
        {
            Pair filterDetails = e.CommandArgument as Pair;
            if (filterDetails.First.ToString() == "IsNull")
            {
                filterWithNull = true;
            }
        }
    }
    protected void RadGrid1_ItemDataBound(object sender, GridItemEventArgs e)
    {
        if (filterWithNull && e.Item is GridFilteringItem)
        {
            GridFilteringItem filterItem = e.Item as GridFilteringItem;
            RadComboBox shipCountryCombo = filterItem["ShipCountry"].FindControl("RadComboBoxShipCountry") as RadComboBox;
            shipCountryCombo.FindItemByText(string.Empty).Selected = true;
        }
    }
}